Lose a Deal
curl --request POST \
--url https://public-api.stora.co/2025-09/deals/{deal_id}/lose \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://public-api.stora.co/2025-09/deals/{deal_id}/lose"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://public-api.stora.co/2025-09/deals/{deal_id}/lose', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deal": {
"id": "deal_127b3057d5df338e",
"assignee": null,
"contact": {
"id": "con_1234567890abcdef"
},
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_947b3057d5df338e"
},
"line_items": [
{
"item": {
"id": "plvl_e8f3ad0a07e47566"
},
"quantity": 1,
"type": "protection"
},
{
"item": {
"id": "utype_f18fc91387cdf710"
},
"quantity": 1,
"type": "unit_type"
}
],
"lost_reason": "price_concerns",
"metadata": {},
"name": "First Deal",
"note": "£50 per month",
"site": null,
"stage": {
"id": "dstg_127b3057d5df338e"
},
"starts_at": null,
"status": "lost",
"updated_at": "2025-02-22T14:41:00Z",
"value_estimate": "£50 per month"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Deal was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "Deal is already closed (status: 'won')",
"pointer": "deal"
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Deals
Lose a Deal
Mark a deal as lost.
Required authorization scope: public.deal:write
POST
/
2025-09
/
deals
/
{deal_id}
/
lose
Lose a Deal
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the deal to mark as lost
Pattern:
^deal_Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Body
application/json
Lose a deal
The reason the deal was lost.
Available options:
accessibility_concern, better_deal_elsewhere, chose_competitor, contract_terms, decided_not_to_use_storage, didnt_respond, due_to_unstaffed_site, facility_condition, financial_reasons, lack_of_response, location_issues, needs_extra_services, no_longer_needed, poor_customer_service, price_concerns, security_concerns, size_availability, timing, unable_to_reach_customer, unable_to_take_deliveries, other Was this page helpful?
⌘I